#ifndef FAILEDPAGEWIDGET_H
#define FAILEDPAGEWIDGET_H

#include "saneobject.h"

#include <QWidget>
#include <QLabel>
#include <QPixmap>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QPushButton>
#include <QPalette>
#include <QColor>
#include <QFont>
#include <QPalette>
#include <QThread>
#include<QSize>

#define FailedPageIconSize  QSize(128, 128)
#define FailedPageButtonSize  QSize(102, 36)


class FailedPageWidget : public QWidget
{
    Q_OBJECT
public:
    explicit FailedPageWidget(QWidget *parent = nullptr);

    void setupGui();
    void initConnect();

signals:
    void scanButtonClicked();

private:
    QLabel *m_failedPageIcon;
    QLabel *m_failedPageText;
    QPushButton *m_failedPageButton;
    QVBoxLayout *m_failedPageVLayout;
    QString themeColor = "white";

    bool isDarkTheme();

public slots:
    void fontSizeChanged();
private slots:
    void initTheme();

};

#endif // FAILEDPAGEWIDGET_H
