#ifndef SHOWOCNWIDGET_H
#define SHOWOCRWIDGET_H

#include <QWidget>
#include <QTimer>
#include <QPainter>
#include <QLinearGradient>
#include <QLabel>
#include <QTextEdit>
#include <QHBoxLayout>
#include <QVBoxLayout>

#include "globalsignal.h"
#include "toolbarwidget.h"
#include "saneobject.h"
#include "include/common.h"
#include "include/theme.h"

class showOcrWidget : public QLabel
{
    Q_OBJECT
public:
    explicit showOcrWidget(QWidget *parent = nullptr);

    void setupGui();
    void initConnect();

protected:
    void resizeEvent(QResizeEvent *event) Q_DECL_OVERRIDE;


public slots:
    void showScanLine();
    void loadScanningPicture();

    void startScanSlot();
    void stopScanStop();

    void updateOcrTextEdit();
    void style_changed();

private:
    QLabel *m_ocrImageLabel;
    QHBoxLayout *m_ocrImageHLayout;

    QTextEdit *m_ocrTextEdit;
    QHBoxLayout *m_ocrTextEditHLayout;

    QWidget *m_ocrTextEditContainer;

    ToolBarWidget *m_toolbarWidget;

    QVBoxLayout *m_ocrVLayout;

    QTimer *timer;
    int scanHeight = 0;

    bool isDarkTheme();

};

#endif // SHOWOCRWIDGET_H
