/*
* Copyright (C) 2021, KylinSoft Co., Ltd.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, see <http://www.gnu.org/licenses/&gt;.
*
*/
#include "successpagewidget.h"
#include <ukui-log4qt.h>

SuccessPageWidget::SuccessPageWidget(QWidget *parent) :
    QWidget(parent),
    m_leftStackSuccessPageWidget(new QStackedWidget),
    m_scanSettingsWidget(new ScanSettingsWidget()),
    m_scanSettingsSrollArea(new QScrollArea()),
    m_leftImageHandleSuccessPageWidget(new LeftImageHandleSuccessPageWidget()),
//    m_leftImageHandleSuccssPageScrollArea(new QScrollArea()),
    m_leftSuccessPageWidget(new LeftSuccessPageWidget()),
//    m_leftSuccessPageScrollArea(new QScrollArea()),
    m_successPageHLayout(new QHBoxLayout())
{
    setupGui();
    initConnect();
}

void SuccessPageWidget::setupGui()
{
//    m_leftImageHandleSuccssPageScrollArea->setWidget(m_leftImageHandleSuccessPageWidget);
//    m_leftImageHandleSuccssPageScrollArea->setWidgetResizable(true);
//    m_leftImageHandleSuccssPageScrollArea->setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
//    m_leftImageHandleSuccssPageScrollArea->setFrameShape(QFrame::NoFrame);
//    m_leftImageHandleSuccessPageWidget->adjustSize();
//    m_leftImageHandleSuccssPageScrollArea->setMinimumWidth(LeftImageHandleSuccessPageWidth);


//    m_leftSuccessPageScrollArea->setWidget(m_leftSuccessPageWidget);
//    m_leftSuccessPageScrollArea->setWidgetResizable(true);
//    m_leftSuccessPageScrollArea->setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
//    m_leftSuccessPageScrollArea->setFrameShape(QFrame::NoFrame);
//    m_leftSuccessPageWidget->adjustSize();
//    m_leftSuccessPageScrollArea->setMinimumWidth(LeftSuccessPageWidth);

//    m_leftStackSuccessPageWidget->addWidget(m_leftImageHandleSuccssPageScrollArea);
//    m_leftStackSuccessPageWidget->addWidget(m_leftSuccessPageScrollArea);
//    m_leftStackSuccessPageWidget->setCurrentWidget(m_leftSuccessPageScrollArea);
    m_leftStackSuccessPageWidget->addWidget(m_leftImageHandleSuccessPageWidget);
    m_leftStackSuccessPageWidget->addWidget(m_leftSuccessPageWidget);
    m_leftStackSuccessPageWidget->setCurrentWidget(m_leftSuccessPageWidget);

    if (g_config_signal->m_hideScanSettingsWidget) {
        m_scanSettingsWidget->hide();
    }

    m_scanSettingsSrollArea->setWidget(m_scanSettingsWidget);
    m_scanSettingsSrollArea->setWidgetResizable(true);
    m_scanSettingsSrollArea->setHorizontalScrollBarPolicy(Qt::ScrollBarAlwaysOff);
    m_scanSettingsSrollArea->setFrameShape(QFrame::NoFrame);
    m_scanSettingsWidget->adjustSize();
    m_scanSettingsSrollArea->setFixedWidth(ScanSettingsWidgetWidth);

    m_successPageHLayout->setSpacing(0);
    m_successPageHLayout->addWidget(m_leftStackSuccessPageWidget);
    m_successPageHLayout->addWidget(m_scanSettingsSrollArea);
    m_successPageHLayout->setContentsMargins(0, 0, 0, 0);

    setLayout(m_successPageHLayout);
}

void SuccessPageWidget::initConnect()
{
}

void SuccessPageWidget::showLeftImageHandleSuccessPage()
{
    m_leftStackSuccessPageWidget->setCurrentWidget(m_leftImageHandleSuccessPageWidget);
}

void SuccessPageWidget::updateScanSettingsSlot(bool isWork)
{
    m_scanSettingsWidget->updateSettingsForDetectDevices();
}

